/**
 *
 * Diplomova prace
 * Stinove techniky na dnesnim hardware a jejich porovnani
 *
 * Michal Toth
 *
 * Fakulta informacnich technologii
 * Vysoke uceni technicke v Brne
 *
 * 2013/2014
 *
 */

/**
 * Vertex shader s jednoduchou transformaci
 */

#version 420

in vec3 pos;

uniform mat4 mvp;
uniform mat4 m;

void main() {
    gl_Position = mvp * m * vec4(pos,1);
}
